> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-application-overview/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get application overview GET https://app.unleash-instance.example.com/api/admin/metrics/applications/{appName}/overview Returns an overview of the specified application (`appName`). Reference: https://docs.getunleash.io/api/get-application-overview ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `appName` (string, required) ## Response ### 200 applicationOverviewSchema - `projects` (list of string, required) — The list of projects the application has been using. - `featureCount` (double, required) — The number of features the application has been using. - `environments` (list of applicationOverviewEnvironmentSchema, required) — The list of environments the application has been using. - `issues` (applicationOverviewIssuesSchema, required) — This list of issues that might be wrong with the application ## Errors ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### applicationOverviewEnvironmentSchema Data about an application environment - `name` (string, required) — Name of the application environment - `instanceCount` (double, required) — The number of instances of the application environment - `sdks` (list of string, required) — SDKs used in the application environment - `frontendSdks` (list of string, required) — Frontend SDKs used in the application environment - `backendSdks` (list of string, required) — Backend SDKs used in the application environment - `lastSeen` (string, required, nullable) — The last time the application environment was seen - `issues` (applicationEnvironmentIssuesSchema, required) — This list of issues that might be wrong with the application ### applicationOverviewIssuesSchema This list of issues that might be wrong with the application - `missingStrategies` (list of string, required) — The list of strategies that are missing from Unleash ### applicationEnvironmentIssuesSchema This list of issues that might be wrong with the application - `missingFeatures` (list of string, required) — The list of features that are missing in Unleash - `outdatedSdks` (list of string, required) — The list of used SDKs that are outdated ## Examples **Response** ```json { "projects": [ "default", "payment" ], "featureCount": 5, "environments": [ { "name": "production", "instanceCount": 5, "sdks": [ "unleash-client-node:5.4.0", "unleash-client-node:5.3.0" ], "frontendSdks": [ "unleash-client-js:3.7.5" ], "backendSdks": [ "unleash-client-node:5.4.0" ], "lastSeen": "2023-04-19T08:15:14.000Z", "issues": { "missingFeatures": [ "feature1", "feature2" ], "outdatedSdks": [ "unleash-client-node:5.4.0", "unleash-client-node:5.3.0" ] } } ], "issues": { "missingStrategies": [ "feature1", "feature2" ] } } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```